agent(3)

NAME
NetSNMP::agent - Perl extension for the net-snmp agent.

SYNOPSIS

  use NetSNMP::agent;
  my $agent = new NetSNMP::agent('Name' -> 'my_agent_name');
  $agent->register("a_name", ".1.3.6.1.2.1", \&myhandler);
  $agent->main_loop();
    --- or, within the net-snmp snmpd.conf file: ---
  perl $agent->register("a_name", ".1.3.6.1.2.1", \&myhandler);

DESCRIPTION
This module implements a snmp agent and/or can be embedded within the net-snmp agent.

AUTHOR
Please mail the net-snmp-users@lists.sourceforge.net mailing list for help, questions or comments about this module.

Wes Hardaker, hardaker@users.sourceforge.net

SEE ALSO
perl(1).